@import 'styles/main.scss';

.panel {
  padding: 32px 50px 24px;

  &__student {
    position: relative;
    display: flex;
    align-items: center;
    gap: 16px;
    padding-bottom: 8px;
    margin-bottom: 8px;
    border-bottom: 1px solid $background-dark-white;
  }

  &__studentImage {
    width: 60px;
    height: 60px;
    border-radius: 8px;
    object-fit: cover;
  }

  &__studentInfo {
    display: block;
    >* {
      display: block;
    }
  }

  &__studentLabel {
    position: absolute;
    top: 8px;
    right: 0;
    background: $light-green;
    border-radius: 8px;
    padding: 0px 6px;
    font-weight: 400;
    font-size: 9px;
    line-height: 14px;
    color: $text-primary;
  }

  &__studentMedal {
    position: absolute;
    right: 12px;
    bottom: 13px;
  }

  &__placeholder {
    display: flex;
    flex-direction: column;
    gap: 12px;
    justify-content: center;
    align-items: center;
    height: 364px;
  }

  &__placeholderBack {
    background: url('/images/progressStudentsBack.png');
    background-size: cover;
  }
}